Subject: RE: [netatalk-admins] Building Netatalk for SunOS 5.6 sparc Ultr a-Enterprise (aka Solaris 2.6)

From: Marc Matteo <[email-masked]>
Date: Tue, 19 Jan 1999 12:25:36 -0800

The steams module that come with the stock 1.4b2 is very buggy so unless you
like rebooting your Sun I'd strongly suggest you get asuns latest patches.

This may also fix your build problems....

Marc
> ----------
> From: 	Vicki Brown
> Sent: 	Tuesday, January 19, 1999 12:17 PM
> To: 	[email-masked]
> Subject: 	Re: [netatalk-admins] Building Netatalk for SunOS 5.6 sparc
> Ultra-Enterprise (aka Solaris 2.6)
> 
> OK.  Different problem now.  What is missing this time?
> 
> Now (attempting to build) version 1.4b2 as everyone has (essentially) told
> me to try.
> 
> Making all for solaris...
> 
> That's a good sign :-)
> 
> ...
> gcc -D_KERNEL -mno-app-regs -munaligned-doubles -fpcc-struct-return
> -D__svr4__ -
> DSOLARIS -O -I../../include -I../netatalk  -c  ddptp_utls.c
> ddptp_utls.c:49: conflicting types for `msgdsize'
> /usr/include/sys/stream.h:705: previous declaration of `msgdsize'
> ddptp_utls.c:52: conflicting types for `allocb'
> /usr/include/sys/stream.h:687: previous declaration of `allocb'
> *** Error code 1
> make: Fatal error: Command failed for target `ddptp_utls.o'
> Current working directory /usr/usr2/src/Utils/netatalk-1.4b2/sys/solaris
> *** Error code 1
> make: Fatal error: Command failed for target `all'
> 
> 
> (I am really beginning to hate C...)
> 
> sigh.  Suggestions?  Recommendations?
> 
> osname=solaris, osvers=2.6, archname=sun4-solaris
> uname='sunos jeeves 5.6 generic_105181-03 sun4u sparc
> sunw,ultra-enterprise
> 
> ---
>       |\      _,,,---,,_       Vicki Brown <[email-masked]>
> ZZZzz /,`.-'`'    -.  ;-;;,_   Journeyman Sourceror: Scripts & Philtres
>      |,4-  ) )-,_. ,\ (  `'-'  P.O. Box 1269  San Bruno  CA  94066
>     '---''(_/--'  `-'\_)       http://www.cfcl.com/~vlb
> www.ptf.com/macperl
>